Instead of utilizing HTTP status codes to describe node errors (which often do not have a good analog), rich errors are returned using this object. Both the code and message fields can be individually used to correctly identify an error. Implementations MUST use unique values for both fields.

export
interface

  RosettaErrorNoDetails

### Hierarchy

- RosettaErrorNoDetails

## Index

### Properties

- code
- message
- retriable

## Properties

### code

code: number

- Defined in src/generated/models/RosettaErrorNoDetails.ts:27

Code is a network-specific error code. If desired, this code can be equivalent to an HTTP status code.

memberof

  RosettaErrorNoDetails

### message

message: string

- Defined in src/generated/models/RosettaErrorNoDetails.ts:33

Message is a network-specific error message. The message MUST NOT change for a given code. In particular, this means that any contextual information should be included in the details field.

memberof

  RosettaErrorNoDetails

### retriable

retriable: boolean

- Defined in src/generated/models/RosettaErrorNoDetails.ts:39

An error is retriable if the same request may succeed if submitted again.

memberof

  RosettaErrorNoDetails

Generated using TypeDoc